--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Call the validator. &quot;call&quot; is used so the operation is BoundMethod and Block compatible. This must be implemented in all concrete classes.
- !ruby/struct:SM::Flow::P 
  body: "@param &lt;Object&gt; target the resource that the validator must be called"
- !ruby/struct:SM::Flow::VERB 
  body: "                        against\n"
- !ruby/struct:SM::Flow::P 
  body: "@return &lt;Boolean&gt; true if valid, otherwise false"
full_name: DataMapper::Validate::GenericValidator#call
is_singleton: false
name: call
params: (target)
visibility: public
